# URUG October 2020 - Creating a Ruby gem

* [What is a Ruby gem?](https://gitlab.com/thogg4/create-a-gem-urug-10-2020#what-is-a-ruby-gem)
* [Initial Creation](https://gitlab.com/thogg4/create-a-gem-urug-10-2020#initial-creation)
* [Configuration](https://gitlab.com/thogg4/create-a-gem-urug-10-2020#configuration)
* [Dependencies](https://gitlab.com/thogg4/create-a-gem-urug-10-2020#dependencies)
* [Testing](https://gitlab.com/thogg4/create-a-gem-urug-10-2020#testing)


### What is a Ruby gem?
https://guides.rubygems.org/what-is-a-gem/

A ruby gem is a (usually small) program that is distributed by the RubyGems library built into the ruby language.

There are a few categories of gems:
* CLI - stripe-cli
* Application enhancement - pg
* Run processes - sidekiq

### Initial Creation
* bundler
* change in gemspec - authors, email, summary, description, homepage, source_code_uri, changelog_uri
### Configuration
* letter opener
### Dependencies
* gemspec
### Testing
* minispec